<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.phpfusion.com/
+--------------------------------------------------------+
| Filename: admin_tabs.php
| Author: Terry Broullette(Grimloch)
+--------------------------------------------------------*
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."bootstrap_tab_panel/infusion_db.php";
if (file_exists(INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."bootstrap_tab_panel/locale/English.php";
}
$settings = fusion_get_settings();
$aidlink = fusion_get_aidlink();
if (!checkrights("BST") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }
$tabsettings = dbarray(dbquery("SELECT * FROM ".DB_BOOTSTRAP_TABS.""));
if (isset($_POST['savestyle'])) {
	if(isset($_POST['bs_tab_style'])) {
		$bs_tab_style = (isNum($_POST['bs_tab_style']));
	}
$result = dbquery("UPDATE ".DB_BOOTSTRAP_TABS." SET bs_tab_style='$bs_tab_style'");
}
opentable($locale['bs_set']);
	echo "<div style='text-align:center'><h3><strong>".$locale['bs_set03']."</strong></h3></div><br>\n";
	echo "<div class='row'>\n";
	echo "<div class='col-md-12'>\n";
	echo "<div align='center'><ul class='list-inline'>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/admin_tabs.php".$aidlink."'><strong>".$locale['bs_set12'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab1_edit.php".$aidlink."'><strong>".$locale['bs_set04'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab2_edit.php".$aidlink."'><strong>".$locale['bs_set05']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab3_edit.php".$aidlink."'><strong>".$locale['bs_set06'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab4_edit.php".$aidlink."'><strong>".$locale['bs_set07'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab5_edit.php".$aidlink."'><strong>".$locale['bs_set08']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab6_edit.php".$aidlink."'><strong>".$locale['bs_set09']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab7_edit.php".$aidlink."'><strong>".$locale['bs_set10']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab8_edit.php".$aidlink."'><strong>".$locale['bs_set11']."</strong></a></li>\n";
	echo "</ul></div></div></div><br>\n";
		echo "<div align='center'><h3><strong>".$locale['bs_set01']."</strong></h3><br></div>\n";
		echo "<form name='styleform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<div class='row'>\n";
		echo "<div class='col-md-4'></div>\n";
		echo "<div class='col-md-4'>\n";
		echo "<div class='form-group'>\n";
		echo "<label for='sel1'><strong>".$locale['bs_set25']."</strong></label>\n";
		echo "<select class='form-control' id='sel1' name='bs_tab_style'>\n";
		echo "<option value=''>".$locale['bs_set27']."</option>\n";
		echo "<option value='0'>".$locale['bs_set21']."</option>\n";
		echo "<option value='1'>".$locale['bs_set22']."</option>\n";
		echo "<option value='2'>".$locale['bs_set23']."</option>\n";
		echo "<option value='3'>".$locale['bs_set24']."</option>\n";
		echo "</select>\n";
		echo "</div></div>\n";
		echo "<div class='col-md-4'></div>\n";
		echo "</div>\n";
		echo "<div align='center'><button type='submit' name='savestyle' class='btn btn-primary btn-md'>".$locale['bs_set20']."</button></div>\n";
		echo "</form><br><br>\n";

		echo "<div align='center'><h3><strong>".$locale['bs_set02']."</strong></h3></div>\n";
		echo "<div class='row'>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "<div class='col-md-8'>\n";
include INFUSIONS."bootstrap_tab_panel/bootstrap_tab_panel.php";
		echo "</div>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "</div>\n";
closetable();
require_once THEMES."templates/footer.php";
?>