<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.phpfusion.com/
+--------------------------------------------------------+
| Filename: tab2_edit.php
| Author: Terry Broullette(Grimloch)
+--------------------------------------------------------*
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."bootstrap_tab_panel/infusion_db.php";
if (file_exists(INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."bootstrap_tab_panel/locale/English.php";
}
$settings = fusion_get_settings();
$aidlink = fusion_get_aidlink();
if (!checkrights("BST") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }
if ($settings['tinymce_enabled']) {
echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INFUSIONS."bootstrap_tab_panel/include/html_buttons_inc.php";
}
define('TAB_FOLDER', INFUSIONS.'bootstrap_tab_panel/images/');
include INFUSIONS."bootstrap_tab_panel/include/functions.php";
$tab2_name = ""; 
$tab2_content = "";
$tabsettings = dbarray(dbquery("SELECT * FROM ".DB_BOOTSTRAP_TABS.""));
if (isset($_POST['savetab2settings'])) {
	if(isset($_POST['tab2_enable'])) {
		$tab2_enable = (isNum($_POST['tab2_enable']));
	}
	if(isset($_POST['tab2_name'])) {
		$tab2_name = stripslashes($_POST['tab2_name']);
	}
	if(isset($_POST['tab2_content'])) {
		$tab2_content = addslashes($_POST['tab2_content']);
	}
$result = dbquery("UPDATE ".DB_BOOTSTRAP_TABS." SET tab2_enable='$tab2_enable', tab2_name='$tab2_name', tab2_content='$tab2_content'");
}
opentable($locale['bs_set']);
	echo "<div style='text-align:center'><h3><strong>".$locale['bs_set03']."</strong></h3></div><br>\n";
	echo "<div class='row'>\n";
	echo "<div class='col-md-12'>\n";
	echo "<div align='center'><ul class='list-inline'>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/admin_tabs.php".$aidlink."'><strong>".$locale['bs_set12'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab1_edit.php".$aidlink."'><strong>".$locale['bs_set04'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab2_edit.php".$aidlink."'><strong>".$locale['bs_set05']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab3_edit.php".$aidlink."'><strong>".$locale['bs_set06'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab4_edit.php".$aidlink."'><strong>".$locale['bs_set07'] ."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab5_edit.php".$aidlink."'><strong>".$locale['bs_set08']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab6_edit.php".$aidlink."'><strong>".$locale['bs_set09']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab7_edit.php".$aidlink."'><strong>".$locale['bs_set10']."</strong></a></li>\n";
	echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."bootstrap_tab_panel/admin/tab8_edit.php".$aidlink."'><strong>".$locale['bs_set11']."</strong></a></li>\n";
	echo "</ul></div></div></div><br>\n";
		echo "<div align='center'><h3><strong>".$locale['bs_set71']."</strong></h3></div>\n";
		echo "<form name='tab2form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<div class='row'>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "<div class='col-md-8'>\n";
		echo "<div class='form-group'>\n";
		echo "<label for='tab2'><strong>".$locale['bs_set33']."</strong></label>\n";
		echo "<select class='form-control' id='tab2' name='tab2_enable'>\n";
		echo "<option value='1'>".$locale['bs_set60']."</option>\n";
		echo "<option value='0'>".$locale['bs_set61']."</option>\n";
		echo "</select>\n";
		echo "</div></div>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "</div>\n";
		echo "<div class='row'>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "<div class='col-md-8'>\n";
		echo "<div class='form-group'>\n";
		echo "<label for='name2'><strong>".$locale['bs_set34']."</strong></label>\n";
		echo "<input type='text' class='form-control' name='tab2_name' id='name2' value='".$tabsettings['tab2_name']."'>\n";
		echo "</div></div>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "</div>\n";
		echo "<div class='row'>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "<div class='col-md-8'>\n";
		echo "<div class='form-group'>\n";
		echo "<label for='content2'><strong>".$locale['bs_set35']."</strong></label>\n";
		echo "<textarea class='form-control' name='tab2_content' id='content2' rows='5'>".stripslashes(html_entity_decode($tabsettings['tab2_content']))."</textarea><p></p>\n";
		echo "<div align='center'>".show_html("tab2form", "tab2_content", true, false, false, 'infusions/bootstrap_tab_panel/images/FILENAME.EXT', '')."</div><p></p>\n";
				$tab_images = loadTabImgs(TAB_FOLDER);
		if (is_array($tab_images) && count($tab_images) > 0) {
		echo "<div align='center'><table align='center' border='1'><tr>\n";
		echo "<td bgcolor='#ccc' colspan='6' align='center'><span style='color:#000000;'><h4><strong>Uploaded Image Names For Textarea</strong></h4></span></td></tr><tr>\n";
		$i = 1;
			foreach($tab_images as $img_name) {
		echo "<td bgcolor='#eee' align='center'><b>&nbsp;$img_name&nbsp;</b></td>\n";
if ($i % 6 == 0) {
		echo "</tr><tr>\n";
}
		$i++;
	}
}
		echo "</tr></table></div>\n";
		echo "<div align='center'><h4><strong>".$locale['bs_set78']."</strong></h4></div>\n";
		echo "</div></div>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "</div>\n";
		echo "<div align='center'><button type='submit' name='savetab2settings' class='btn btn-primary btn-md'>".$locale['bs_set20']."</button></div>\n";
		echo "</form><br>\n";

		echo "<div align='center'><h3><strong>".$locale['bs_set02']."</strong></h3></div>\n";
		echo "<div class='row'>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "<div class='col-md-8'>\n";
			include INFUSIONS."bootstrap_tab_panel/bootstrap_tab_panel.php";
		echo "</div>\n";
		echo "<div class='col-md-2'></div>\n";
		echo "</div>\n";
closetable();
require_once THEMES."templates/footer.php";
?>