<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.phpfusion.com/
+--------------------------------------------------------+
| Filename: bootstrap_tab_panel.php
| Author: Terry Broullette(Grimloch)
+--------------------------------------------------------*
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;
require_once INCLUDES."infusions_include.php";
include INFUSIONS."bootstrap_tab_panel/infusion_db.php";
if (file_exists(INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."bootstrap_tab_panel/locale/English.php";
}

$tabsettings = dbarray(dbquery("SELECT * FROM ".DB_BOOTSTRAP_TABS));
if ($tabsettings['bs_tab_style'] == "0") {
	add_to_head("<link rel='stylesheet' href='".INFUSIONS."bootstrap_tab_panel/css/tabs_style1.css' type='text/css' />");
} elseif ($tabsettings['bs_tab_style'] == "1")  {
	add_to_head("<link rel='stylesheet' href='".INFUSIONS."bootstrap_tab_panel/css/tabs_style2.css' type='text/css' />");
} elseif ($tabsettings['bs_tab_style'] == "2") {
	add_to_head("<link rel='stylesheet' href='".INFUSIONS."bootstrap_tab_panel/css/tabs_style3.css' type='text/css' />");
} else {
	add_to_head("<link rel='stylesheet' href='".INFUSIONS."bootstrap_tab_panel/css/tabs_style4.css' type='text/css' />");
}
if ($tabsettings['bs_tab_style'] == "0") {
	include INFUSIONS."bootstrap_tab_panel/include/style1_content.php";
} elseif ($tabsettings['bs_tab_style'] == "1") {
	include INFUSIONS."bootstrap_tab_panel/include/style2_content.php";
} elseif ($tabsettings['bs_tab_style'] == "2") {
	include INFUSIONS."bootstrap_tab_panel/include/style3_content.php";
} else {
	include INFUSIONS."bootstrap_tab_panel/include/style4_content.php";
}
?>