<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Terry Broullette(Grimloch)
+--------------------------------------------------------*
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;
include INFUSIONS."bootstrap_tab_panel/infusion_db.php";
if (file_exists(INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."bootstrap_tab_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."bootstrap_tab_panel/locale/English.php";
}

// Infusion general information
$inf_title = "Bootstrap Tab Panel";
$inf_description = "Bootstrap jQuery Tab Panel";
$inf_version = "1.0";
$inf_developer = "Terry Broullette (Grimloch)";
$inf_email = "webmaster@whisperwillow.com";
$inf_weburl = "https://www.whisperwillow.com";
$inf_folder = "bootstrap_tab_panel";

// new table
$inf_newtable[1] = DB_BOOTSTRAP_TABS." (
	bs_tab_style TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab1_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab1_name VARCHAR(50) NOT NULL DEFAULT '',
	tab1_content TEXT NOT NULL,
	tab2_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab2_name VARCHAR(50) NOT NULL DEFAULT '',
	tab2_content TEXT NOT NULL,
	tab3_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab3_name VARCHAR(50) NOT NULL DEFAULT '',
	tab3_content TEXT NOT NULL,
	tab4_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab4_name VARCHAR(50) NOT NULL DEFAULT '',
	tab4_content TEXT NOT NULL,
	tab5_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab5_name VARCHAR(50) NOT NULL DEFAULT '',
	tab5_content TEXT NOT NULL,
	tab6_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab6_name VARCHAR(50) NOT NULL DEFAULT '',
	tab6_content TEXT NOT NULL,
	tab7_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab7_name VARCHAR(50) NOT NULL DEFAULT '',
	tab7_content TEXT NOT NULL,
	tab8_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	tab8_name VARCHAR(50) NOT NULL DEFAULT '',
	tab8_content TEXT NOT NULL,
PRIMARY KEY (bs_tab_style)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_insertdbrow[1] = DB_BOOTSTRAP_TABS."(bs_tab_style, tab1_enable, tab1_name, tab1_content, tab2_enable, tab2_name, tab2_content, tab3_enable, tab3_name, tab3_content, tab4_enable, tab4_name, tab4_content, tab5_enable, tab5_name, tab5_content, tab6_enable, tab6_name, tab6_content, tab7_enable, tab7_name, tab7_content, tab8_enable, tab8_name, tab8_content) VALUES ('0', '1',  'Tab1 Name', 'Tab1 Content', '1', 'Tab2 Name', 'Tab2 Content', '1', 'Tab3 Name', 'Tab3 Content', '1', 'Tab4 Name', 'Tab4 Content', '1', 'Tab5 Name', 'Tab5 Content', '1', 'Tab6 Name', 'Tab6 Content', '1', 'Tab7 Name', 'Tab7 Content', '1', 'Tab8 Name', 'Tab8 Content')";

$inf_insertdbrow[2] = DB_PANELS."(panel_id,panel_name,panel_filename,panel_content,panel_side,panel_order,panel_type,panel_access,panel_display,panel_status,panel_url_list,panel_restriction,panel_languages)VALUES('','Bootstrap Tabs','bootstrap_tab_panel','','2','1','file','0','1','1','','3','English')";

$inf_adminpanel[1] = array(
        'title'    => "Bootstrap Tabs",
        'image'    => "bs_tabs.gif",
        'panel'    => "admin/admin_tabs.php",
        'rights'   => "BST"
);

$inf_sitelink[1] = array(
	"title" => $locale['bs_set13'],
	"url" => "./upload_tab_imgs.php",
	"visibility" => "103"
);

// Uninstallation
$inf_droptable[1] = DB_BOOTSTRAP_TABS;
$inf_deldbrow[1] = DB_ADMIN." WHERE admin_rights='BST'";
$inf_deldbrow[2] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";
$inf_deldbrow[3] = DB_PANELS." WHERE panel_filename='bootstrap_tab_panel'";
$inf_deldbrow[4] = DB_SITE_LINKS." WHERE link_url='upload_tab_imgs.php'";
?>